Package fr.gouv.vitam.collect.internal.client

# Class CollectInternalClientFactory

java.lang.Object
fr.gouv.vitam.common.client.VitamClientFactory<CollectInternalClient>
fr.gouv.vitam.collect.internal.client.CollectInternalClientFactory

All Implemented Interfaces:
  `VitamClientFactoryInterface<CollectInternalClient>`

public class CollectInternalClientFactory extends VitamClientFactory<CollectInternalClient>
Collect Client Factory class. Provide a rest or a mock version of the client

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface fr.gouv.vitam.common.client.VitamClientFactoryInterface

  `VitamClientFactoryInterface.VitamClientType`

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.client.VitamClientFactory

  `clientConfiguration`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `CollectInternalClientFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `changeMode(ClientConfiguration configuration)`
  `static void`
  `changeMode(String configurationFile)`
  `CollectInternalClient`
  `getClient()`
  This method returns the correct Client adapted to the business case
  `static CollectInternalClientFactory`
  `getInstance()`
  Get the CollectInternalClientFactory instance
  `static CollectInternalClientFactory`
  `getInstance(WorkFlowExecutionContext executionContext)`
  Get the CollectInternalClientFactory instance for the given workflow execution context

  ### Methods inherited from class fr.gouv.vitam.common.client.VitamClientFactory

  `changeResourcePath, changeServerPort, disableUseAuthorizationFilter, enableUseAuthorizationFilter, getClientConfiguration, getDefaultConfigCient, getDefaultConfigCient, getHttpClient, getHttpClient, getResourcePath, getServiceUrl, getVitamClientType, getVitamThreadPoolExecutor, initialisation, isAllowGzipDecoded, isAllowGzipEncoded, resetConnections, resume, setGzipdecoded, setGzipEncoded, setVitamClientType, shutdown, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CollectInternalClientFactory

    protected CollectInternalClientFactory()

- ## Method Details

  - ### getInstance

    public static CollectInternalClientFactory getInstance()
    Get the CollectInternalClientFactory instance
    Returns:
      the instance

  - ### getInstance

    public static CollectInternalClientFactory getInstance(WorkFlowExecutionContext executionContext)
    Get the CollectInternalClientFactory instance for the given workflow execution context
    Parameters:
      `executionContext` - the workflow execution context
    Returns:
      the instance

  - ### getClient

    public CollectInternalClient getClient()
    Description copied from interface: `VitamClientFactoryInterface`
    This method returns the correct Client adapted to the business case
    Returns:
      the Vitam client

  - ### changeMode

    public static void changeMode(String configurationFile)
    Parameters:
      `configurationFile` - Generate MOCK vitamClientType for null configuration

  - ### changeMode

    public static void changeMode(ClientConfiguration configuration)
    Parameters:
      `configuration` - Generate MOCK vitamClientType for null configuration